Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.audit
Interface AuditProvider

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by by the Pluggable Security Infrastructure-based AuditProvider(s) that implement weblogic.security.spi.AuditProvider.

public interface AuditProvider

Security audit service provider's interface. A class can implement this interface to log security-related events for auditing purposes. Several WebLogic Server components are instrumented to call methods in this interface when "interesting" events occur.

Classes that implement this interface must have a public no-arg constructor that throws no exceptions.

Methods in this interface follow a simple pattern:

- No value is returned.
- No exceptions should be thrown.
- The first parameter to each method is the name of the subsystem that is generating a particular audit event. This is an arbitrary string.
- The "middle" parameters are the most important. If a middle parameter is an Object type, it may be null. If it is an array of Objects, it may be null, or it may contain null elements.
- The last parameter to each method is the value returned by the method that generates the audit event.

All parameters to all methods are read-only. You can filter events based on their parameters and return values.

Author:
  Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `authenticateUser(java.lang.String subsystem, UserInfo info, User result)` Deprecated. A request was made to authenticate a user.
`void` | `certificateInvalid(java.lang.String subsystem, java.lang.Object source, X509 cert)` Deprecated. An invalid X.509 certificate was presented.
`void` | `checkPermission(java.lang.String subsystem, java.security.acl.Acl acl, java.security.Principal principal, java.security.acl.Permission permission, boolean result)` Deprecated. A request was made to check for a permission on an ACL.
`void` | `rootCAInvalid(java.lang.String subsystem, java.lang.Object source, X509 cert)` Deprecated. A certificate chain with an invalid root certificate authority was presented.

Method Detail

### authenticateUser

    public void authenticateUser(java.lang.String subsystem,
                                 UserInfo info,
                                 User result)

  Deprecated.
  A request was made to authenticate a user.

  Parameters:
    `subsystem` - subsystem name
    `info` - authentication parameters
    `result` - return value (null if authentication failure)

### checkPermission

    public void checkPermission(java.lang.String subsystem,
                                java.security.acl.Acl acl,
                                java.security.Principal principal,
                                java.security.acl.Permission permission,
                                boolean result)

  Deprecated.
  A request was made to check for a permission on an ACL.

  Parameters:
    `subsystem` - subsystem name
    `acl` - ACL that was checked
    `principal` - principal that was checked
    `permission` - permission that was checked
    `result` - return value (false if permission denied)

### certificateInvalid

    public void certificateInvalid(java.lang.String subsystem,
                                   java.lang.Object source,
                                   X509 cert)

  Deprecated.
  An invalid X.509 certificate was presented.

  Parameters:
    `subsystem` - subsystem name
    `source` - the source of the problematic certificate, if known
    `cert` - faulty certificate, or null if one was expected and none was given

### rootCAInvalid

    public void rootCAInvalid(java.lang.String subsystem,
                              java.lang.Object source,
                              X509 cert)

  Deprecated.
  A certificate chain with an invalid root certificate authority was presented.

  Parameters:
    `subsystem` - subsystem name
    `source` - the source of the problematic certificate chain, if known
    `cert` - faulty root certificate, or null if one was expected and none was given

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference